#include <stdio.h>
#include <iostream>
using namespace std;
int main ()
{
freopen("NUTC.in","r",stdin);
int n;
cin >> n;
for (int i=0; i< n; i++)
{
	int s,m,k,l;
	cin >> s >> m >> k;
	l = s * m;
	if (l >= k)
	{
		cout << "YES" << endl;
	}
	else cout << "NO" << endl;
}
}